.index-page {
  --w: 86%;
}
.index-banner-swiper .swiper-slide {
  position: relative;
}
.index-banner-swiper .swiper-slide img,
.index-banner-swiper .swiper-slide video {
  display: block;
  width: 100%;
  height: auto;
  max-height: 100vh;
  max-height: 100dvh;
  object-fit: cover;
}
.index-banner-swiper .swiper-slide video {
  mix-blend-mode: multiply;
}
.index-banner-swiper .swiper-slide .text {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: 12.06030151%;
  z-index: 2;
}
.index-banner-swiper .swiper-slide .text .text-title {
  font-family: Montserrat, Montserrat;
  font-weight: bold;
  font-size: var(--font46);
  color: #ffffff;
  text-shadow: 0px 0px max(0.8rem, 20px) #000000;
  text-align: left;
  font-style: normal;
  text-transform: none;
  max-width: 860px;
}
.index-banner-swiper .swiper-slide .text .text-desc {
  font-family: Montserrat, Montserrat;
  font-weight: 400;
  font-size: var(--font24);
  color: #ffffff;
  line-height: 1.33333333;
  text-shadow: 0px 0px max(0.8rem, 20px) #000000;
  text-align: left;
  font-style: normal;
  text-transform: none;
  margin-top: 13px;
  max-width: 860px;
}
.index-banner-swiper .swiper-slide .text .btn {
  width: 171px;
  height: 40px;
  background: #1c97d6;
  border-radius: 60px;
  font-weight: 400;
  font-size: var(--font16);
  color: #ffffff;
  display: flex;
  align-items: center;
  justify-content: center;
  user-select: none;
  cursor: pointer;
  margin-top: max(0.3rem, 20px);
  text-transform: uppercase;
}
.index-banner-swiper .swiper-slide .text .btn span {
  white-space: nowrap;
  line-height: 1;
}
.index-banner-swiper .swiper-slide .text .btn img {
  display: block;
  width: 5px;
  margin-left: 10px;
  transition: var(--duration);
  margin-top: 0.2em;
}
.index-banner-swiper .swiper-slide .text .btn:hover img {
  transform: translateX(-5px);
}
.index-development {
  padding-top: max(2.26rem, var(--space));
  padding-bottom: max(2.78rem, var(--space));
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center bottom;
}
.index-development .swiper-wrapper {
  align-items: flex-end;
}
.index-development .swiper-slide {
  height: auto;
  position: relative;
}
.index-development .swiper-slide::before {
  content: "";
  position: absolute;
  left: 1px;
  top: 0;
  width: 1px;
  height: 100%;
  background-color: #666666;
  z-index: 2;
}
.index-development .swiper-slide:nth-child(odd) {
  height: 4.53rem;
}
.index-development .swiper-slide:nth-child(even) {
  height: 3.55rem;
}
.index-development .swiper-slide .text {
  height: auto;
  border-left: 3px solid #1c97d6;
  padding-left: 20px;
}
.index-development .swiper-slide .text .text-title {
  font-weight: 500;
  font-size: var(--font42);
  color: #333333;
  text-align: left;
  font-style: normal;
  text-transform: none;
}
.index-development .swiper-slide .text .text-desc {
  font-weight: 400;
  font-size: var(--font18);
  color: #000000;
  line-height: 1.22222222;
  text-align: left;
  font-style: normal;
  text-transform: none;
}
.index-intro {
  padding-top: max(1.22rem, var(--space));
  padding-bottom: max(1.2rem, var(--space));
}
.index-intro .intro-list .item {
  position: relative;
  z-index: 2;
  overflow: hidden;
  background: #f4f4f4;
  border-radius: 10px;
  display: flex;
  align-items: center;
  padding-left: max(0.9rem, 20px);
  padding-right: max(0.3rem, 20px);
  padding-top: 20px;
  padding-bottom: max(0.3rem, 20px);
  height: 6.04rem;
}
@media (hover: hover) {
  .index-intro .intro-list .item:hover .bg {
    opacity: 1;
  }
  .index-intro .intro-list .item:hover .left .title,
  .index-intro .intro-list .item:hover .left .sub-title,
  .index-intro .intro-list .item:hover .left .desc {
    color: #fff;
  }
  .index-intro .intro-list .item:hover .right {
    width: max(3.46rem, 240px);
    border-radius: 10px;
    background: rgba(255, 255, 255, 0.1);
    border: 1px solid rgba(255, 255, 255, 0.3);
    overflow: hidden;
    position: relative;
    align-self: flex-end;
  }
  .index-intro .intro-list .item:hover .right::after {
    content: "";
    display: block;
    padding-bottom: 84.39306358%;
  }
  .index-intro .intro-list .item:hover .right img {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
  }
}
.index-intro .intro-list .item .left {
  overflow-wrap: break-word;
  width: 43.78531073%;
}
.index-intro .intro-list .item .left .title {
  font-weight: 500;
  font-size: var(--font32);
  color: #333333;
  line-height: 1.1875;
  text-align: left;
  font-style: normal;
  text-transform: none;
  transition: var(--duration);
}
.index-intro .intro-list .item .left .sub-title {
  font-weight: 400;
  font-size: var(--font24);
  color: #000000;
  line-height: 1.33333333;
  text-align: left;
  font-style: normal;
  text-transform: none;
  margin-top: 10px;
  transition: var(--duration);
}
.index-intro .intro-list .item .left .desc {
  margin-top: 10px;
  font-weight: 400;
  font-size: var(--font16);
  color: #000000;
  text-align: left;
  font-style: normal;
  text-transform: none;
  transition: var(--duration);
}
.index-intro .intro-list .item .left .btn {
  margin-top: max(0.3rem, 20px);
  width: 171px;
  height: 40px;
  background: #1c97d6;
  border-radius: 60px;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
  user-select: none;
  cursor: pointer;
  font-weight: 400;
  font-size: var(--font16);
  color: #ffffff;
  font-style: normal;
  text-transform: none;
  text-align: center;
  white-space: nowrap;
  text-transform: uppercase;
}
.index-intro .intro-list .item .left .btn img {
  display: block;
  width: 5px;
  margin-left: 10px;
  flex-shrink: 0;
  transition: var(--duration);
  margin-top: 0.2em;
}
.index-intro .intro-list .item .left .btn:hover img {
  transform: translateX(-5px);
}
.index-intro .intro-list .item .right {
  width: 59.24479167%;
  flex-shrink: 0;
  margin-left: auto;
  transition: width var(--duration), height var(--duration);
}
.index-intro .intro-list .item .right img {
  display: block;
  max-width: 100%;
  height: auto;
  margin-left: auto;
  margin-right: auto;
  transition: width var(--duration), height var(--duration);
}
.index-intro .intro-list .item:not(:last-child) {
  margin-bottom: max(1.2rem, 30px);
}
.index-intro .intro-list .item .bg {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-image: url(../images/index-intro-bg.png);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center center;
  opacity: 0;
  pointer-events: none;
  transition: var(--duration);
  z-index: -1;
}
.index-intro .intro-text {
  margin-top: max(1.21rem, 30px);
}
.index-intro .intro-text .text-title {
  font-weight: 500;
  font-size: var(--font42);
  color: #333333;
  font-style: normal;
  text-transform: none;
  line-height: 1.19047619;
  overflow-wrap: break-word;
}
.index-intro .intro-text .text-desc {
  font-weight: 300;
  font-size: var(--font24);
  color: #000000;
  line-height: 1.5;
  font-style: normal;
  text-transform: none;
  overflow-wrap: break-word;
  margin-top: 20px;
}
.index-project {
  padding-top: max(1.32rem, var(--space));
  padding-bottom: max(1.2rem, var(--space));
  background: #000000;
}
.index-project .project-wrap {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
}
.index-project .project-wrap .aside {
  width: 30.59895833%;
  flex-shrink: 0;
}
.index-project .project-wrap .aside .title-area {
  margin-bottom: max(0.18rem, 10px);
}
.index-project .project-wrap .aside .title-area .title {
  font-weight: 500;
  font-size: var(--font42);
  color: #ffffff;
  text-align: left;
  font-style: normal;
  text-transform: none;
  overflow-wrap: break-word;
}
.index-project .project-wrap .aside .title-area .desc {
  font-weight: 500;
  font-size: var(--font26);
  color: #ffffff;
  text-align: left;
  font-style: normal;
  text-transform: none;
  margin-top: max(0.2rem, 10px);
  overflow-wrap: break-word;
}
.index-project .project-wrap .aside .list {
  padding-right: max(0.3rem, 20px);
  overflow-y: auto;
}
.index-project .project-wrap .aside .list::-webkit-scrollbar {
  width: 4px;
  background-color: rgba(255, 255, 255, 0.1);
}
.index-project .project-wrap .aside .list::-webkit-scrollbar-thumb {
  width: 4px;
  background-color: #1c97d6;
}
.index-project .project-wrap .aside .list .item {
  padding-top: max(0.29rem, 20px);
  padding-bottom: max(0.29rem, 20px);
  border-bottom: 1px solid rgba(255, 255, 255, 0.1);
  position: relative;
}
.index-project .project-wrap .aside .list .item.active::after {
  width: 100%;
  left: 0;
  right: auto;
}
.index-project .project-wrap .aside .list .item.active .item-title img {
  filter: none;
}
.index-project .project-wrap .aside .list .item.active .item-title span {
  color: #1c97d6;
}
.index-project .project-wrap .aside .list .item::after {
  content: "";
  position: absolute;
  right: 0;
  bottom: -1px;
  width: 0;
  height: 1px;
  background-color: #1c97d6;
  transition: var(--duration);
}
.index-project .project-wrap .aside .list .item .item-title {
  font-weight: 300;
  font-size: var(--font16);
  color: rgba(255, 255, 255, 0.6);
  line-height: 1.375;
  text-align: left;
  font-style: normal;
  text-transform: none;
  overflow-wrap: break-word;
  display: flex;
  align-items: center;
}
.index-project .project-wrap .aside .list .item .item-title .icon {
  display: block;
  flex-shrink: 0;
  width: 8px;
  margin-right: max(0.2rem, 10px);
  filter: brightness(0) invert(1) opacity(0.6);
  transition: var(--duration);
}
.index-project .project-wrap .aside .list .item .item-title span {
  transition: var(--duration);
}
.index-project .project-wrap .aside .list .item .item-desc {
  font-weight: 400;
  font-size: var(--font16);
  color: #ffffff;
  line-height: 1.375;
  text-align: left;
  font-style: normal;
  text-transform: none;
  padding-left: calc(max(0.2rem, 10px) + 8px);
  display: none;
}
.index-project .project-wrap .main {
  width: 66.015625%;
  flex-shrink: 0;
}
.index-project .project-wrap .main .index-project-swiper {
  width: 100%;
  overflow: hidden;
}
.index-project .project-wrap .main .index-project-swiper .swiper-slide:hover .pic img {
  transform: scale(1.05);
}
.index-project .project-wrap .main .index-project-swiper .swiper-slide .pic {
  display: block;
  width: 100%;
  padding-bottom: 65.0887574%;
  border-radius: 10px;
  overflow: hidden;
  position: relative;
}
.index-project .project-wrap .main .index-project-swiper .swiper-slide .pic img {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center center;
  transition: var(--duration);
}
.index-project .project-wrap .main .index-project-swiper .swiper-slide .pic .param-list {
  position: absolute;
  left: 0;
  bottom: 0;
  z-index: 2;
  display: flex;
  flex-wrap: wrap;
  row-gap: 10px;
  column-gap: 10px;
  padding-left: max(0.3rem, 15px);
  padding-bottom: max(0.3rem, 20px);
}
.index-project .project-wrap .main .index-project-swiper .swiper-slide .pic .param-list .param {
  width: fit-content;
  padding-left: max(0.15rem, 10px);
  padding-right: max(0.15rem, 10px);
  padding-top: 5px;
  padding-bottom: 5px;
  background: rgba(255, 255, 255, 0.1);
  border: 1px solid rgba(255, 255, 255, 0.2);
  border-radius: 60px;
  backdrop-filter: blur(10px);
  font-weight: 400;
  font-size: var(--font16);
  color: #ffffff;
}
.index-project .project-wrap .main .index-project-swiper .swiper-slide .text {
  margin-top: max(0.3rem, 20px);
}
.index-project .project-wrap .main .index-project-swiper .swiper-slide .text .text-title {
  font-weight: 500;
  font-size: var(--font32);
  color: #ffffff;
  line-height: 1.1875;
  text-align: left;
  font-style: normal;
  text-transform: none;
  overflow-wrap: break-word;
}
.index-project .project-wrap .main .index-project-swiper .swiper-slide .text .text-desc {
  font-weight: 400;
  font-size: var(--font18);
  color: #ffffff;
  text-align: left;
  font-style: normal;
  text-transform: none;
  margin-top: 7px;
}
.index-news {
  padding-top: max(1.22rem, var(--space));
  padding-bottom: max(1.2rem, var(--space));
  background: #f8f8f8;
}
.index-news .title-line {
  display: flex;
  align-items: center;
  justify-content: space-between;
  column-gap: 20px;
  padding-bottom: max(0.6rem, 20px);
  border-bottom: 1px solid rgba(204, 204, 204, 0.5);
}
.index-news .title-line .text .text-title {
  font-weight: 500;
  font-size: var(--font42);
  color: #333333;
  text-align: left;
  font-style: normal;
  text-transform: none;
  line-height: 1.19047619;
}
.index-news .title-line .text .text-sub-title {
  font-weight: 300;
  font-size: var(--font24);
  color: #000000;
  line-height: 1.5;
  text-align: left;
  font-style: normal;
  text-transform: none;
  margin-top: max(0.2rem, 10px);
}
.index-news .title-line .btn {
  width: 155px;
  height: 40px;
  background: #1c97d6;
  border-radius: 60px 60px 60px 60px;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
  user-select: none;
  cursor: pointer;
  font-weight: 400;
  font-size: var(--font16);
  color: #ffffff;
  font-style: normal;
  text-transform: uppercase;
}
.index-news .title-line .btn img {
  display: block;
  width: 5px;
  margin-left: 10px;
  flex-shrink: 0;
  transition: var(--duration);
  margin-top: 0.2em;
}
.index-news .title-line .btn:hover img {
  transform: translateX(-5px);
}
.index-news .news-list {
  margin-top: max(0.4rem, 30px);
  display: grid;
  row-gap: 30px;
  column-gap: max(0.3rem, 20px);
  grid-template-columns: repeat(3, 1fr);
}
.index-news .news-list .news-item {
  overflow: hidden;
}
.index-news .news-list .news-item:hover .text .text-title {
  color: var(--theme);
}
.index-news .news-list .news-item:hover .pic img {
  transform: scale(1.05);
}
.index-news .news-list .news-item .text .text-mark {
  font-weight: 300;
  font-size: var(--font12);
  color: #000000;
  text-align: left;
  font-style: normal;
  text-transform: none;
  overflow-wrap: break-word;
  line-height: 1;
  width: fit-content;
  border: 1px solid rgba(0, 0, 0, 0.2);
  padding: 10px;
  border-radius: 20px;
  text-align: center;
}
.index-news .news-list .news-item .text .text-title {
  margin-top: 20px;
  font-weight: 400;
  font-size: var(--font18);
  color: #333333;
  line-height: 1.22222222;
  text-align: left;
  font-style: normal;
  text-transform: none;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  text-overflow: ellipsis;
  overflow: hidden;
  overflow-wrap: break-word;
  transition: var(--duration);
}
.index-news .news-list .news-item .text .text-time {
  font-weight: 300;
  font-size: var(--font14);
  color: #000000;
  line-height: 1.57142857;
  text-align: left;
  font-style: normal;
  text-transform: none;
  margin-top: max(0.22rem, 10px);
}
.index-news .news-list .news-item .pic {
  margin-top: max(0.32rem, 20px);
  display: block;
  width: 100%;
  position: relative;
  border-radius: 10px;
  overflow: hidden;
}
.index-news .news-list .news-item .pic::after {
  content: "";
  display: block;
  width: 100%;
  padding-bottom: 59.67413442%;
}
.index-news .news-list .news-item .pic img {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center center;
  transition: var(--duration);
}
.index-mark {
  padding-top: max(2.34rem, var(--space));
  padding-bottom: max(2.34rem, var(--space));
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center center;
}
.index-mark .list {
  display: flex;
  justify-content: center;
}
.index-mark .list .item {
  display: block;
  font-weight: 500;
  font-size: var(--font32);
  color: #ffffff;
  line-height: 1.1875;
  text-align: center;
  font-style: normal;
  text-transform: none;
  padding-top: 7px;
  padding-bottom: 7px;
  padding-left: 1.2rem;
  padding-right: 1.2rem;
}
.index-mark .list .item:not(:last-child) {
  border-right: 1px solid #fff;
}
@media (max-width: 768px) {
  .index-banner-swiper {
    margin-top: 60px;
  }
  .index-intro .intro-list .item .left .btn {
    width: 145px;
    height: 40px;
    font-size: 14px;
  }
  .index-intro .intro-list .item {
    padding-top: 30px;
    padding-bottom: 30px;
    height: auto;
  }
  .index-project .project-wrap {
    flex-wrap: wrap;
    row-gap: 30px;
  }
  .index-project .project-wrap .aside {
    width: 100%;
    order: 1;
  }
  .index-project .project-wrap .main {
    width: 100%;
  }
  .index-project .project-wrap .aside .list {
    max-height: 360px;
  }
  .index-news .news-list {
    grid-template-columns: repeat(2, 1fr);
  }
  .index-mark .list {
    flex-wrap: wrap;
    row-gap: 20px;
  }
}
@media (max-width: 576px) {
  .index-banner-swiper .swiper-slide .inner img,
  .index-banner-swiper .swiper-slide .inner video {
    height: 75vh;
    object-fit: cover;
  }
  .index-banner-swiper .swiper-slide .text .text-title {
    font-size: 20px;
  }
  .index-banner-swiper .swiper-slide .text .text-desc {
    font-size: 14px;
  }
  .index-development .swiper-slide .text .text-title {
    font-size: 20px;
  }
  .index-development .swiper-slide .text .text-desc {
    font-size: 14px;
  }
  .index-intro .intro-list .item {
    flex-wrap: wrap;
    row-gap: 10px;
  }
  .index-intro .intro-list .item .left {
    width: 100%;
  }
  .index-intro .intro-list .item .left .title {
    font-size: 18px;
  }
  .index-intro .intro-list .item .left .sub-title {
    font-size: 16px;
  }
  .index-intro .intro-list .item .left .desc {
    font-size: 14px;
  }
  .index-intro .intro-list .item .right {
    width: 100%;
    order: -1;
  }
  .index-intro .intro-text .text-title {
    font-size: 22px;
  }
  .index-intro .intro-text .text-desc {
    font-size: 14px;
    line-height: 1.5;
  }
  .index-project .project-wrap .main .index-project-swiper .swiper-slide .pic .param-list .param {
    font-size: 14px;
    width: fit-content;
    max-width: 100%;
    overflow-wrap: break-word;
  }
  .index-project .project-wrap .main .index-project-swiper .swiper-slide .text .text-title {
    font-size: 16px;
  }
  .index-project .project-wrap .main .index-project-swiper .swiper-slide .text .text-desc {
    font-size: 14px;
  }
  .index-project .project-wrap .aside .title-area .title {
    font-size: 22px;
  }
  .index-project .project-wrap .aside .list .item .item-desc {
    font-size: 14px;
  }
  .index-news .title-line {
    flex-wrap: wrap;
    row-gap: 10px;
  }
  .index-news .title-line .text .text-title {
    font-size: 22px;
  }
  .index-news .title-line .text .text-sub-title {
    font-size: 18px;
  }
  .index-news .title-line .btn {
    width: 145px;
    height: 40px;
    font-size: 14px;
  }
  .index-news .news-list {
    grid-template-columns: repeat(1, 1fr);
  }
  .index-news .news-list .news-item .text .text-title {
    margin-top: 10px;
  }
}
